org.red5.server.net.rtmp.codec

## Class RTMPMinaCodecFactory

- java.lang.Object
- - org.red5.server.net.rtmp.codec.RTMPMinaCodecFactory

All Implemented Interfaces:
  org.apache.mina.filter.codec.ProtocolCodecFactory, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware

    public class RTMPMinaCodecFactory
    extends Object
    implements org.apache.mina.filter.codec.ProtocolCodecFactory, org.springframework.context.ApplicationContextAware, org.springframework.beans.factory.InitializingBean

RTMP codec factory.

### Field Summary

Fields
`protected org.springframework.context.ApplicationContext` `appCtx`
`protected RTMPMinaProtocolDecoder` `decoder` RTMP Mina protocol decoder.
`protected RTMPMinaProtocolEncoder` `encoder` RTMP Mina protocol encoder.

### Constructor Summary

Constructors
Constructor and Description
`RTMPMinaCodecFactory()`

### Method Summary

Methods
`void` `afterPropertiesSet()`
`org.apache.mina.filter.codec.ProtocolDecoder` `getDecoder(org.apache.mina.core.session.IoSession session)`
`org.apache.mina.filter.codec.ProtocolEncoder` `getEncoder(org.apache.mina.core.session.IoSession session)`
`void` `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### appCtx

    protected org.springframework.context.ApplicationContext appCtx

#### decoder

    protected RTMPMinaProtocolDecoder decoder

RTMP Mina protocol decoder.

#### encoder

    protected RTMPMinaProtocolEncoder encoder

RTMP Mina protocol encoder.

### Constructor Detail

#### RTMPMinaCodecFactory

    public RTMPMinaCodecFactory()

### Method Detail

#### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
Throws:
  `Exception`

#### getDecoder

    public org.apache.mina.filter.codec.ProtocolDecoder getDecoder(org.apache.mina.core.session.IoSession session)

Specified by:
  `getDecoder` in interface `org.apache.mina.filter.codec.ProtocolCodecFactory`

#### getEncoder

    public org.apache.mina.filter.codec.ProtocolEncoder getEncoder(org.apache.mina.core.session.IoSession session)

Specified by:
  `getEncoder` in interface `org.apache.mina.filter.codec.ProtocolCodecFactory`

#### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                               throws org.springframework.beans.BeansException

Specified by:
  `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
Throws:
  `org.springframework.beans.BeansException`